#ifndef PREGUNTA_H
#define PREGUNTA_H

#include <iostream>
#include <string>
#include <vector>

class Pregunta
{
  protected:
	std::string texto;
	size_t respuesta;

  public:
	Pregunta();

  private:
	friend std::istream& operator>>(std::istream& in, Pregunta& pregunta);
	friend std::ostream& operator<<(std::ostream& out, const Pregunta& pregunta);
};

// cin >> pregunta
std::istream& operator>>(std::istream& in, Pregunta& pregunta);
// cout << pregunta
std::ostream& operator<<(std::ostream& out, const Pregunta& pregunta);

#endif // PREGUNTA_H
